()                                                                          ()



# # CDDL HEADER START # # The contents of this file are subject to the terms
of the # Common Development and Distribution License (the "License").  # You
may not use this file except in compliance with the License.  # # You can
obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE # or
http://www.opensolaris.org/os/licensing.  # See the License for the specific
language governing permissions # and limitations under the License.  # # When
distributing Covered Code, include this CDDL HEADER in each # file and include
the License file at usr/src/OPENSOLARIS.LICENSE.  # If applicable, add the
following below this CDDL HEADER, with the # fields enclosed by brackets "[]"
replaced with your own identifying # information: Portions Copyright [yyyy]
[name of copyright owner] # # CDDL HEADER END # # # Copyright (c) 1997, 2010,
Oracle and/or its affiliates. All rights reserved.  # Copyright 2014 Garrett
D'Amore <garrett@damore.org> #

# rebind basic build macros to 64-bit versions

CFLAGS=        $(CFLAGS64) CCFLAGS=     $(CCFLAGS64) COPTFLAG=   $(COPTFLAG64)
CCOPTFLAG=     $(CCOPTFLAG64) COMPILE.c=     $(COMPILE64.c) COMPILE.cc=
     $(COMPILE64.cc) COMPILE.s=    $(COMPILE64.s) COMPILE.d=
     $(COMPILE64.d) COMPILE.b=     $(COMPILE64.b) LINK.c=        $(LINK64.c)
LINK.cc=  $(LINK64.cc) LINT.c=          $(LINT64.c)

CTF_FLAGS=     $(CTF_FLAGS_64)

OFFSETS_CREATE=     $(OFFSETS_CREATE64)

# # Moved these up to the top level here, so they can be overridden #
LDLIBS.cmd =   $(LDLIBS64) LDLIBS.lib = $(LDLIBS64)

# # Override Makefile.master's settings of GCCLIBDIR # GCCLIBDIR=
     $(GCCLIBDIR64)

# # Override Makefile.master's settings of CC, CCC, AS and LINT # CC=
          $($(MACH64)_CC) CCC=          $($(MACH64)_CCC) CPP=
          $($(MACH64)_CPP) AS=          $($(MACH64)_AS) LD=
          $($(MACH64)_LD) LINT=         $($(MACH64)_LINT)

BUILD.SO= $(CC) $(CFLAGS) -o $@ $(GSHARED) $(DYNFLAGS)           $(PICS)
$(EXTPICS) -L $(ROOTLIBDIR64) $(LDLIBS)

# # ld(1) requires the -64 option to create a 64-bit filter solely from a
mapfile # MAPFILECLASS=  -64

CCNEEDED =          -lCrun $(__GNUC64)CCNEEDED =  -L$(GCCLIBDIR) -lstdc++
$(__GNUC64)CCNEEDED +=   -lgcc_s

BUILDCCC.SO=    $(CCC) $(CCFLAGS) -o $@ $(GSHARED) $(DYNFLAGS)        $(PICS)
$(EXTPICS) $(LDLIBS) $(CCNEEDED) MAPFILE.NGB =    $(MAPFILE.NGB_$(MACH64))



                               February 17, 2018                            ()
